﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests.Configuration;

/// <summary>
/// Represents a request to configure cache settings.
/// </summary>
public class CacheRequest
{
    /// <summary>
    /// Gets or sets the server address.
    /// </summary>
    [Required]
    public required string Server { get; set; }

    /// <summary>
    /// Gets or sets the port number.
    /// </summary>
    [Required]
    public int Port { get; set; }

    /// <summary>
    /// Gets or sets the password.
    /// </summary>
    public string? Password { get; set; }
}