﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests.Configuration;

/// <summary>
/// Represents a request to configure the database connection settings.
/// </summary>
public class DatabaseRequest
{
    /// <summary>
    /// Gets or sets the server address.
    /// </summary>
    [Required]
    public required string Server { get; set; }

    /// <summary>
    /// Gets or sets the port number.
    /// </summary>
    [Required]
    public int Port { get; set; }

    /// <summary>
    /// Gets or sets the database name.
    /// </summary>
    [Required]
    public required string Database { get; set; }

    /// <summary>
    /// Gets or sets the username.
    /// </summary>
    [Required]
    public required string User { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether SSL is enabled.
    /// </summary>
    [Required]
    public bool Ssl { get; set; }

    /// <summary>
    /// Gets or sets the password.
    /// </summary>
    public string? Password { get; set; }
}