﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests.Configuration;

/// <summary>
/// Represents a request to configure email settings.
/// </summary>
public class EmailRequest
{
    /// <summary>
    /// Gets or sets the server address.
    /// </summary>
    [Required]
    public required string Server { get; set; }

    /// <summary>
    /// Gets or sets the email address from which emails will be sent.
    /// </summary>
    [Required]
    public required string From { get; set; }

    /// <summary>
    /// Gets or sets the password for the email account.
    /// </summary>
    [Required]
    public required string Password { get; set; }

    /// <summary>
    /// Gets or sets the port number.
    /// </summary>
    [Required]
    public int Port { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether SSL is enabled.
    /// </summary>
    [Required]
    public bool Ssl { get; set; }

    /// <summary>
    /// Gets or sets the username.
    /// </summary>
    [Required]
    public required string User { get; set; }
}