﻿using Mirea.Api.Dto.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests.Configuration;

/// <summary>
/// Represents a request to configure the schedule settings.
/// </summary>
public class ScheduleConfigurationRequest
{
    /// <summary>
    /// Gets or sets the cron expression for updating the schedule.
    /// </summary>
    public string? CronUpdateSchedule { get; set; }

    /// <summary>
    /// Gets or sets the start date of the term.
    /// </summary>
    [Required]
    public DateOnly StartTerm { get; set; }

    /// <summary>
    /// Gets or sets the pair period times, keyed by pair number.
    /// </summary>
    [Required]
    public required IDictionary<int, PairPeriodTime> PairPeriod { get; set; }
}