﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents detailed information about a campus.
/// </summary>
public class CampusDetailsResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the campus.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the code name of the campus.
    /// </summary>
    [Required]
    public required string CodeName { get; set; }

    /// <summary>
    /// Gets or sets the full name of the campus (optional).
    /// </summary>
    public string? FullName { get; set; }

    /// <summary>
    /// Gets or sets the address of the campus (optional).
    /// </summary>
    public string? Address { get; set; }
}
