﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents detailed information about a faculty.
/// </summary>
public class FacultyDetailsResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the faculty.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the faculty.
    /// </summary>
    [Required]
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the unique identifier of the campus to which the faculty belongs (optional).
    /// </summary>
    public int? CampusId { get; set; }

    /// <summary>
    /// Gets or sets the name of the campus to which the faculty belongs (optional).
    /// </summary>
    public string? CampusName { get; set; }

    /// <summary>
    /// Gets or sets the code name of the campus to which the faculty belongs (optional).
    /// </summary>
    public string? CampusCode { get; set; }
}