﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents detailed information about a group.
/// </summary>
public class GroupDetailsResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the group.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the group.
    /// </summary>
    [Required]
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the course number of the group.
    /// </summary>
    [Required]
    public int CourseNumber { get; set; }

    /// <summary>
    /// Gets or sets the unique identifier of the faculty to which the group belongs (optional).
    /// </summary>
    public int? FacultyId { get; set; }

    /// <summary>
    /// Gets or sets the name of the faculty to which the group belongs (optional).
    /// </summary>
    public string? FacultyName { get; set; }
}