﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents the detailed response model for a lecture hall.
/// </summary>
public class LectureHallDetailsResponse
{
    /// <summary>
    /// Gets or sets the ID of the lecture hall.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the lecture hall.
    /// </summary>
    [Required]
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the ID of the campus to which the lecture hall belongs.
    /// </summary>
    [Required]
    public int CampusId { get; set; }

    /// <summary>
    /// Gets or sets the name of the campus.
    /// </summary>
    public string? CampusName { get; set; }

    /// <summary>
    /// Gets or sets the code of the campus.
    /// </summary>
    public string? CampusCode { get; set; }
}