﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents information about a professor.
/// </summary>
public class ProfessorResponse
{
    /// <summary>
    /// Gets or sets the unique identifier of the professor.
    /// </summary>
    [Required]
    public int Id { get; set; }

    /// <summary>
    /// Gets or sets the name of the professor.
    /// </summary>
    [Required]
    public required string Name { get; set; }

    /// <summary>
    /// Gets or sets the alternate name of the professor (optional).
    /// </summary>
    public string? AltName { get; set; }
}