﻿namespace Mirea.Api.DataAccess.Application.Cqrs.Campus.Queries.GetCampusDetails;

/// <summary>
/// Represents a view model containing detailed information about a campus.
/// </summary>
public class CampusDetailsVm
{
    /// <summary>
    /// The unique identifier for the campus.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// The code name associated with the campus.
    /// </summary>
    public required string CodeName { get; set; }

    /// <summary>
    /// The full name of the campus.
    /// </summary>
    public string? FullName { get; set; }

    /// <summary>
    /// The address of the campus.
    /// </summary>
    public string? Address { get; set; }
}