﻿namespace Mirea.Api.DataAccess.Application.Cqrs.Faculty.Queries.GetFacultyDetails;

/// <summary>
/// Represents faculties.
/// </summary>
public class FacultyInfoVm
{
    /// <summary>
    /// The unique identifier for the faculty.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// The name of the faculty.
    /// </summary>
    public required string Name { get; set; }

    /// <summary>
    /// ID indicating the faculty's affiliation to the campus.
    /// </summary>
    public int? CampusId { get; set; }

    /// <summary>
    /// Campus name indicating the faculty's affiliation to the campus.
    /// </summary>
    public string? CampusName { get; set; }

    /// <summary>
    /// Campus code indicating the faculty's affiliation to the campus.
    /// </summary>
    public string? CampusCode { get; set; }
}