﻿namespace Mirea.Api.DataAccess.Application.Cqrs.LectureHall.Queries.GetLectureHallDetails;

/// <summary>
/// Represents disciplines.
/// </summary>
public class LectureHallInfoVm
{
    /// <summary>
    /// The unique identifier for the lecture hall.
    /// </summary>
    public int Id { get; set; }

    /// <summary>
    /// The name of the lecture hall.
    /// </summary>
    public required string Name { get; set; }

    /// <summary>
    /// ID indicating the lecture hall's affiliation to the campus.
    /// </summary>
    public int CampusId { get; set; }

    /// <summary>
    /// Campus name indicating the lecture hall's affiliation to the campus.
    /// </summary>
    public string? CampusName { get; set; }

    /// <summary>
    /// Campus code indicating the lecture hall's affiliation to the campus.
    /// </summary>
    public string? CampusCode { get; set; }
}