﻿using Mirea.Api.Endpoint.Configuration.General.Attributes;
using Mirea.Api.Endpoint.Configuration.General.Interfaces;

namespace Mirea.Api.Endpoint.Configuration.General.Settings;

[RequiredSettings]
public class CacheSettings : IIsConfigured
{
    public enum CacheEnum
    {
        Memcached,
        Redis
    }

    public CacheEnum TypeDatabase { get; set; }
    public string? ConnectionString { get; set; }

    public bool IsConfigured()
    {
        return TypeDatabase == CacheEnum.Memcached ||
               !string.IsNullOrEmpty(ConnectionString);
    }
}